> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cost Sheet Fit

> Create a new fit (sample stage) on a cost sheet, with its first version.



## OpenAPI

````yaml /api/openapi-cutmake.json post /costings/{costing_id}/fits
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /costings/{costing_id}/fits:
    post:
      tags:
        - Costing Management
      summary: Create Cost Sheet Fit
      description: Create a new fit (sample stage) on a cost sheet, with its first version.
      operationId: create_cost_sheet_fit_costings__costing_id__fits_post
      parameters:
        - name: costing_id
          in: path
          required: true
          schema:
            type: string
            description: The costing document ID (e.g., CS-2024-001)
            title: Costing Id
          description: The costing document ID (e.g., CS-2024-001)
        - name: X-User-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-User-Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CostSheetFitCreateInput'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    CostSheetFitCreateInput:
      properties:
        stageKey:
          type: string
          title: Stagekey
        copyFromStageKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Copyfromstagekey
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
      type: object
      required:
        - stageKey
      title: CostSheetFitCreateInput
      description: Input for creating a new fit (sample stage) on a cost sheet.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````